package com.game.business.service;

import java.util.List;
import com.game.business.domain.AppDealScale;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 主播分成比例Service接口
 *
 * @author game
 * @date 2024-08-11
 */
public interface IAppDealScaleService extends IService<AppDealScale> {
    /**
     * 查询主播分成比例
     *
     * @param id 主播分成比例主键
     * @return 主播分成比例
     */
    public AppDealScale selectAppDealScaleById(Long id);

    /**
     * 查询主播分成比例列表
     *
     * @param appDealScale 主播分成比例
     * @return 主播分成比例集合
     */
    public List<AppDealScale> selectAppDealScaleList(AppDealScale appDealScale);

    /**
     * 新增主播分成比例
     *
     * @param appDealScale 主播分成比例
     * @return 结果
     */
    public int insertAppDealScale(AppDealScale appDealScale);

    /**
     * 修改主播分成比例
     *
     * @param appDealScale 主播分成比例
     * @return 结果
     */
    public int updateAppDealScale(AppDealScale appDealScale);

    /**
     * 批量删除主播分成比例
     *
     * @param ids 需要删除的主播分成比例主键集合
     * @return 结果
     */
    public int deleteAppDealScaleByIds(Long[] ids);

    /**
     * 删除主播分成比例信息
     *
     * @param id 主播分成比例主键
     * @return 结果
     */
    public int deleteAppDealScaleById(Long id);

    public void init(Long userId);
}